
QGIS Application - Bug report #20237

Qgis Crash 

2018-10-27 09:26 AM - olivier olivier

Status: Closed

Priority: High

Assignee:

Category: Python plugins

Affected QGIS version:3.2.3 Regression?: Yes

Operating System: windows 10 Easy fix?: No

Pull Request or Patch supplied:No Resolution: not reproducable

Crashes QGIS or corrupts data:Yes Copied to github as #: 28058

Description

Hi,

I get a crash each time using Extension/Manage and install plugins.

Crash ID: 753c43eb31d443f8aab3043d1613d8525e8d900b

Stack Trace

QString::fill :

QString::indexOf :

QDir::fromNativeSeparators :

QFileInfo::QFileInfo :

QFileInfo::QFileInfo :

QgsLayoutLocatorFilter::triggerResult :

QgsLayoutLocatorFilter::triggerResult :

PyInit__gui :

PyMethodDef_RawFastCallKeywords :

PyMethodDef_RawFastCallKeywords :

PyEval_EvalFrameDefault :

PyEval_EvalCodeWithName :

PyMethodDef_RawFastCallKeywords :

PyEval_EvalFrameDefault :

PyEval_EvalCodeWithName :

PyEval_EvalCodeEx :

PyEval_EvalCode :

PyArena_Free :

PyRun_StringFlags :

instance :

instance :

QgisApp::rotatePointSymbols :

QgsPythonRunner::run :

QgisApp::showPluginManager :

QMetaObject::activate :

QAction::activate :

QMenu::actionGeometry :

QMenu::actionGeometry :

QMenu::mouseReleaseEvent :

QWidget::event :

QMenu::event :
QApplicationPrivate::notify_helper :

QApplication::notify :

QgsApplication::notify :

QCoreApplication::notifyInternal2 :

QApplicationPrivate::sendMouseEvent :

QSizePolicy::QSizePolicy :

QSizePolicy::QSizePolicy :

QApplicationPrivate::notify_helper :

QApplication::notify :

QgsApplication::notify :

QCoreApplication::notifyInternal2 :

QGuiApplicationPrivate::processMouseEvent :

QWindowSystemInterface::sendWindowSystemEvents :

QEventDispatcherWin32::processEvents :

CallWindowProcW :

DispatchMessageW :

QEventDispatcherWin32::processEvents :

qt_plugin_query_metadata :

QEventLoop::exec :

QCoreApplication::exec :

main :

BaseThreadInitThunk :

RtlUserThreadStart :

QGIS Info

QGIS Version: 3.2.3-Bonn

QGIS code revision: 0de984d7f9

Compiled against Qt: 5.11.2

Running against Qt: 5.11.2

Compiled against GDAL: 2.3.2

Running against GDAL: 2.3.2

System Info

CPU Type: x86_64

Kernel Type: winnt

Kernel Version: 10.0.17134

History

#1 - 2018-10-27 04:59 PM - Giovanni Manghi

- Priority changed from Normal to High

- Status changed from Open to Feedback

Try on 3.4 using a new/clean profile.

#2 - 2018-11-08 01:31 PM - Giovanni Manghi

Please try on QGIS 3.4.1, if the issue is still valid change the affected version, thanks.

#3 - 2018-12-27 10:20 AM - Nyall Dawson
- Resolution set to not reproducable

- Status changed from Feedback to Closed

Closed due to lack of feedback

2025-04-26 3/3


